---
name: Anthony Seguillon
start_date: 2018-11-20
locality: Paralimni
country: Cyprus
role: <a href="/job-families/sales/strategic-account-leader/">Strategic Account Leader</a>
  Representative, EMEA - Enterprise</a>
reports_to: pgoyeneix
picture: anthonyseguillon.png
twitter:
gitlab: aseguillon
departments:
- Sales
story: '"Anthony is passionate about innovation and sales. He will be supporting the
  French speaking regions in EMEA. His hobbies are: music production, sports, new
  technology and travel."

  '

